(function ($) {

  var touchDevice = (navigator.maxTouchPoints || 'ontouchstart' in document.documentElement);

  var $aside1 = $('#articleAsideSticky'),
      $limit  = $('.sticky-playground').next();

  // execute after all pictures are loaded in order to avoid wrong position triggering
  $(window).on('load', function() {

    if (!touchDevice) {
      $aside1.scrollToFixed({
        removeOffsets: true,
        marginTop: 140,
        minWidth: 1052,
        offsets: false,
        limit: function () {
          return $limit.offset().top - $aside1.outerHeight() - 50
        }
      });
    }
  });

}(jQuery));
